import prisma from '../helpers/prisma'; // Import the global Prisma instance
import { User } from '@prisma/client';
import bcrypt from 'bcryptjs';

class UserRepository {
    async getByUsername(username: string): Promise<User | null> {
        try {
            return await prisma.user.findUnique({
                where: {
                    username,
                },
            });
        } catch (error) {
            // Handle error
            throw new Error(`Failed to get user by username: ${error.message}`);
        }
    }
}

export default new UserRepository;